%global _empty_manifest_terminate_build 0
Name:		python-xarray
Version:	2022.11.0
Release:	1
Summary:	N-D labeled arrays and datasets in Python
License:	Apache-2.0
URL:		https://github.com/pydata/xarray
Source0:	https://files.pythonhosted.org/packages/47/26/53b4d9ce691f73ab17abaeb66c53dcda5a799ba1b1f32f21fb84440e7acf/xarray-2022.11.0.tar.gz
BuildArch:	noarch

Requires:	python3-numpy
Requires:	python3-pandas
Requires:	python3-packaging
Requires:	python3-scipy
Requires:	python3-bottleneck
Requires:	python3-numbagg
Requires:	python3-flox
Requires:	python3-netCDF4
Requires:	python3-h5netcdf
Requires:	python3-pydap
Requires:	python3-zarr
Requires:	python3-fsspec
Requires:	python3-cftime
Requires:	python3-rasterio
Requires:	python3-cfgrib
Requires:	python3-pooch
Requires:	python3-dask[complete]
Requires:	python3-matplotlib
Requires:	python3-seaborn
Requires:	python3-nc-time-axis
Requires:	python3-sphinx-autosummary-accessors
Requires:	python3-sphinx-rtd-theme
Requires:	python3-ipython
Requires:	python3-ipykernel
Requires:	python3-jupyter-client
Requires:	python3-nbsphinx
Requires:	python3-scanpydoc

%description
xarray introduces labels in the form of dimensions, coordinates and attributes 
on top of raw NumPy-like arrays, which allows for a more intuitive, more 
concise, and less error-prone developer experience. 

%package -n python3-xarray
Summary:	N-D labeled arrays and datasets in Python
Provides:	python-xarray = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-xarray
xarray introduces labels in the form of dimensions, coordinates and attributes 
on top of raw NumPy-like arrays, which allows for a more intuitive, more 
concise, and less error-prone developer experience. 

%package help
Summary:	Development documents and examples for xarray
Provides:	python3-xarray-doc
%description help
xarray introduces labels in the form of dimensions, coordinates and attributes 
on top of raw NumPy-like arrays, which allows for a more intuitive, more 
concise, and less error-prone developer experience. 

%prep
%autosetup -n xarray-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-xarray -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Nov 21 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 2022.11.0-1
- Update package to version 2022.11.0

* Tue Sep 27 2022 guozhengxin <guozhengxin@kylinos.cn> - 2022.6.0-1
- Upgrade package to version 2022.6.0

* Thu Dec 02 2021 Python_Bot <Python_Bot@openeuler.org> - 0.20.1-1
- Package Init
